Subject: Re: linux-next: build failure after merge of the usb tree

From: Greg KH <[email-masked]>
Date: Tue, 14 Jun 2022 11:28:43 +0200

On Tue, Jun 14, 2022 at 03:10:14PM +0700, Bagas Sanjaya wrote:
> On Tue, Jun 14, 2022 at 05:52:47PM +1000, Stephen Rothwell wrote:
> > Hi Greg,
> > 
> > On Tue, 14 Jun 2022 08:41:53 +0200 Greg KH <[email-masked]> wrote:
> > >
> > > On Tue, Jun 14, 2022 at 12:08:33PM +1000, Stephen Rothwell wrote:
> > > > Hi all,
> > > > 
> > > > After merging the usb tree, today's linux-next build (arm
> > > > multi_v7_defconfig) failed like this:
> > > 
> > > Failed like what?
> > 
> > Sorry about that.  I no longer have the actual error message, but it
> > was complaining about a duplicate DT node "ahb usb@1e6a2000".  The
> > patch managed to be applied twice.
> > 
> > > > Caused by commit
> > > > 
> > > >   2cee50bf4590 ("ARM: dts: aspeed: Add USB2.0 device controller node")
> 
> Hi Stephen,
> 
> I mean the missing error you reported was:
> 
>   DTC     arch/arm/boot/dts/aspeed-ast2500-evb.dtb
>   DTC     arch/arm/boot/dts/aspeed-ast2600-evb-a1.dtb
> arch/arm/boot/dts/aspeed-g6.dtsi:320.21-328.5: ERROR (duplicate_node_names): /ahb/usb@1e6a2000: Duplicate node name
> ERROR: Input tree has errors, aborting (use -f to force output)

Thanks all, I'll go revert the duplicate commit in my tree now.

greg k-h